#!/usr/bin/gnuplot

set term x11

nm = 1.e-9

set xl "{/Symbol l}_{eff} [nm]"
set yl "flux {/Helvetica-Oblique F}_{/Symbol l}  [10^{{/Symbol -}4} J s^{{/Symbol -}1} m^{{/Symbol -}2} m^{{/Symbol -}1}]" offset +0,0

set xr [300:800]

f(mag,calibration_flux) = 10.**(-0.4*mag)*calibration_flux/1.e-4

set lmargin 6.3
set rmargin 1.7
set bmargin 3.1
set tmargin 0.6

p \
  "chi2_SED.dat" u ($1/nm):(f($3,$5)) t "synthetic" w p pt 1 lt 8,\
  "Sed.dat" u ($1/nm):(f($3,$5)) t "observed" w l   lt 3,\
  "Sed.dat" u ($1/nm):(f($3,$5)):($2/2/nm):(f($3+$4,$5)-f($3,$5)) not w xyerr lt 3 ps 0,\
  "chi2_SED.dat" u ($1/nm):(f($3,$5)) t "residua" w l lt 1 lw 3
#pa -1

set term post eps enh color solid "Helvetica" 16
set out "chi2_SED_FLUX.eps"
set size 0.59,0.8
rep

q


