#!/usr/bin/env python

"""
map.py
A script which runs chi2 many times for the xi Tau problem.

"""

__author__ = "Miroslav Broz (miroslav.broz@email.cz)"
__version__ = "Sep 11th 2015"

import math
import sys
import subprocess
import re

if "check_output" not in dir( subprocess ): # duck punch it in!
    def f(*popenargs, **kwargs):
        if 'stdout' in kwargs:
            raise ValueError('stdout argument not allowed, it will be overridden.')
        process = subprocess.Popen(stdout=subprocess.PIPE, *popenargs, **kwargs)
        output, unused_err = process.communicate()
        retcode = process.poll()
        if retcode:
            cmd = kwargs.get("args")
            if cmd is None:
                cmd = popenargs[0]
            raise subprocess.CalledProcessError(retcode, cmd)
        return output
    subprocess.check_output = f

from config import *

fin = open("chi2.in", "r")
j = 0
n = 26
x_param = []
for line in fin.readlines():
    if not re.match("^#", line) and len(line) > 1:
        l = line.split()
        for i in range(0,len(l)):
            j += 1
            if j > 1 and j <= n+1:
                x_param.append(l[i])
        if j > 26:
            break
fin.close()

#print x_param;
#sys.exit(1)

x_param = map(lambda x: float(x), x_param)

#print x_param
#print len(x_param)

#    [ 0.0 + 180./18.*x for x in range(0,18) ], \

x_map = [ \
    [ x_param[0] - 0.30 + 0.6/20*x for x in range(0,20) ], \
    [ x_param[1] - 0.15 + 0.3/10*x for x in range(0,10) ], \
    [ x_param[2] - 0.45 + 0.9/20*x for x in range(0,20) ], \
    \
    [ x_param[3] - 0.01 + 0.02/20*x for x in range(0,20) ], \
    [ 0.0 + 0.5/20*x for x in range(0,20) ], \
    [ 0.0 + 180./18.*x for x in range(0,18) ], \
    [ 0.0 + 360./36.*x for x in range(0,36) ], \
    [ x_param[7] - 10.0 + 20.0/20.*x for x in range(0,20) ], \
    [ x_param[8] - 10.0 + 20.0/20.*x for x in range(0,20) ], \
    \
    [ x_param[9] - 20000.0 + 80000.0/20*x for x in range(0,20) ], \
    [ 0.0 + 0.5/20*x for x in range(0,20) ], \
    [ x_param[11] - 20.0 + 40.0/20.*x for x in range(0,20) ], \
    [ x_param[12] - 10.0 + 20.0/20.*x for x in range(0,20) ], \
    [ x_param[13] - 10.0 + 20.0/20.*x for x in range(0,20) ], \
    [ x_param[14] - 10.0 + 20.0/20.*x for x in range(0,20) ], \
    \
    [ x_param[15] - 500.0 + 1000.0/50*x for x in range(0,50) ], \
    [ x_param[16] - 1500.0 + 3000.0/30*x for x in range(0,30) ], \
    [ x_param[17] - 500.0 + 1000.0/50*x for x in range(0,50) ], \
    \
    [ x_param[18] - 0.05 + 0.1/20*x for x in range(0,20) ], \
    [ x_param[19] - 0.5 + 1.0/10*x for x in range(0,10) ], \
    [ x_param[20] - 0.1 + 0.2/20*x for x in range(0,20) ], \
    \
    [ x_param[21] - 10.0 + 20.0/10*x for x in range(0,10) ], \
    [ x_param[22] - 165.0 + 300.0/30*x for x in range(0,30) ], \
    [ x_param[23] - 10.0 + 30.0/15*x for x in range(0,15) ], \
    \
    [ x_param[24] - 5.0 + 10.0/10*x for x in range(0,10) ], \
    [ x_param[25] - 20.0 + 40.0/20*x for x in range(0,20) ], \
    ]

#print x_map
#sys.exit(1)


k = 0
lst = [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25 ]
lst = [ 16, 17 ]

pyterpol = [ False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, True, True, True, True, True, True, True, True, True, False, False ]

for i in lst:

    i1st = 1
    x = []
    for j in xrange(0,len(x_param)):
        x.append(x_param[j])

    for val in x_map[i]:
        x[i] = val
        print x

        if k >= ibegin and k <= iend:
            if pyterpol[i] or i1st == 1:
                pyterpol_ = "T"
            else:
                pyterpol_ = "F"
            print pyterpol_

            fout = open("chi2.in_OPTIMIZE", "w")
            fout.write("""# chi2.in
# nparam number of parameters
# x() vector
26
 
%22.16f %22.16f %22.16f
%22.16f %22.16f %22.16f %22.16f %22.16f %22.16f
%22.16f %22.16f %22.16f %22.16f %22.16f %22.16f
%22.16f %22.16f %22.16f
%22.16f %22.16f %22.16f
%22.16f %22.16f %22.16f
%22.16f
%22.16f

2454384.65		! fixed (dependent) parameters: T0 [JD]

3			! nbod number of bodies; a list of 2*nbod+4 files with observational data (or '-' if no data)...
-
-
Speckle3.dat
-
-
-
-
-
-
-

0			! nband number of photometric bands; a list of bands and lightcurve files
Spectra_10.dat
1.syn
2.syn
3.syn
Sed.dat
1.abs
2.abs
3.abs

0                       ! geometry of the system: 0 ... hierarchical ((1+2)+3)+4, 1 ... two pairs ((1+2)+(3+4))+5

4.6 0.0 0.0		! m_min(nbod) [M_S] minimum masses
6.7 10.0 10.0		! m_max(nbod) [M_S] maximum masses
0.0 0.0 0.0		! metal(nbod) [M/H] metallicity
F T F			! use_hec88(nbod) use Harmanec (1988) to constrain components (i.e. use only T_eff as a parameter!)

0.005			! lightcurve_timestep [day] timestep of synthetic lightcurve; set to 0.0 if all observed points should be computed
0.100			! approx_eclipse_duration [day] approximate eclipse duration for eclipse detection
399.e-9 675.e-9		! lambda1 lambda2 [metres] wavelength range for rectified synthetic spectra
321.e-9 998.e-9		! lambda3 lambda4 [metres] range for absolute spectra (to fit SED)

F			! use_planck [T|F] use Planck approximation; otherwise use absolute synthetic spectra (*.abs files)
T			! use_filters [T|F] use filter transmissions to compute SED; otherwise use effective wavelengths and bandpasses
F			! use_limbdark [T|F] use linear limb-darkening coefficients for visibility |V|^2 calculation
%s			! use_pyterpol [T|F] use Pyterpol (Nemravova et al. 2016) to generate synthetic spectra on-the-fly

1.0 1.0 1.0 1.0 1.0 1.0 1.0 1.0 1.0 1.0		! w_SKY w_RV w_TTV w_ECL w_VIS w_CLO w_T3 w_LC w_SYN w_SED weights for chi^2 computation
1.e-8			! eps_BS for Bulirsch-Stoer integrator
F			! debugging output?
F			! debug integrator?


""" % tuple(x[:n] + [pyterpol_]))

            fout.close()

            subprocess.check_output("./chi2 < chi2.in_OPTIMIZE >> chi2.out_OPTIMIZE", shell=True)

        k += 1
        i1st = 0

    subprocess.check_output("mv chi2_func.tmp chi2_func.tmp" + str(i), shell=True)


