#!/usr/bin/gnuplot

set term x11

set xl "{/Helvetica-Oblique i}_1, {/Helvetica-Oblique i}_2, {/Helvetica-Oblique i}_3 []"
set yl "{/Symbol c}^2" offset +0,0

set xr [0:360]
set yr [1.e3:]
set xtics 30
set logscale y
set mytics 10
set zeroaxis
set key sample 1.0 at graph 0.985,graph 0.7

set ytics (\
  "10^{3}"  1.e3  0,\
  "10^{4}"  1.e4  0,\
  "10^{5}"  1.e5  0,\
  "10^{6}"  1.e6  0,\
  "10^{7}"  1.e7  0,\
  "10^{8}"  1.e8  0,\
  "10^{9}"  1.e9  0,\
  "10^{10}" 1.e10 0,\
  "10^{11}" 1.e11 0,\
  "10^{12}" 1.e12 0,\
  "10^{13}" 1.e13 0,\
  "10^{14}" 1.e14 0,\
  )

set lmargin 7.0
set rmargin 1.6
set bmargin 3.2
set tmargin 0.8

load "config.plt"
load "chi2.plt"

set arrow from  90,graph 0 to  90,graph 1 nohead lt 0
set arrow from 270,graph 0 to 270,graph 1 nohead lt 0

p \
  "../chi2_func.tmp5"  u  6:49 t "{/Helvetica-Oblique i}_1" w lp ls 2 lw 3,\
  "../chi2_func.tmp11" u 12:49 t "{/Helvetica-Oblique i}_2" w lp ls 3 lw 3,\
  chi2_3sigma w l not lt 9 lw 1,\
  chi2 w l not lt 0

pa -1

set term post eps enh color solid
set out "chi2_i.eps"
set size 0.8,0.5
rep

q
  "<awk '($1== 6)' map_uncertainty.out" u 3:12 not w p ls 2,\
  "<awk '($1== 6)' map_uncertainty.out" u 4:11 not w p ls 2,\
  "<awk '($1== 6)' map_uncertainty.out" u 5:12 not w p ls 2,\
  "<awk '($1==12)' map_uncertainty.out" u 3:12 not w p ls 3,\
  "<awk '($1==12)' map_uncertainty.out" u 4:11 not w p ls 3,\
  "<awk '($1==12)' map_uncertainty.out" u 5:12 not w p ls 3,\
  "<awk '($1==18)' map_uncertainty.out" u 3:12 not w p ls 4,\
  "<awk '($1==18)' map_uncertainty.out" u 4:11 not w p ls 4,\
  "<awk '($1==18)' map_uncertainty.out" u 5:12 not w p ls 4,\

