#!/usr/bin/gnuplot

N = 30614.
M = 26
nu = N-M

chi2 = N
chi2_1sigma = 30705.
chi2_3sigma = 31280.

print "nu = ", nu
print "chi2_1sigma = ", chi2_1sigma
print "chi2_3sigma = ", chi2_3sigma
print "chi2_1sigma/chi2 = ", chi2_1sigma/chi2
print "chi2_3sigma/chi2 = ", chi2_3sigma/chi2

########################################################################

set term x11

set xl "chi^2"
set yl "probq"

set logscale y
set yr [1.e-10:]
set key bottom left

p "<./chi2 30588  29000 32000 20" u 2:3 w lp,\
  0.5 w l lt 7,\
  1-0.683 w l lt 0,\
  1-0.9545 w l lt 0,\
  1-0.9973 w l lt 0,\
  "vline.dat" u ($1*nu):2 not w l lt 0,\
  "vline.dat" u ($1*chi2_1sigma):2 not w l lt 7,\
  "vline.dat" u ($1*chi2_3sigma):2 not w l lt 7
pa -1



