#!/usr/bin/gnuplot


G = 6.67408e-11  # m^3 kg^-1 s^-2, from 2014 CODATA
GM_S = 0.2959122082855911e-03  # AU^3/day^2, from JPLEPH DE405
R_S = 6.957e8  # m, from IAU 2015
AU = 1.49597870700e11  # m, from IAU 2012
day = 86400.e0  # s

M_S = GM_S*AU**3/day**2/G
print "M_S = ", M_S, " kg"

m1 = 4.7284144000845885
m3 = 2.5907629308348397
logg1 = 3.5943245515828721
logg3 = 3.7967695813099418

R(m,logg) = sqrt(G*m*M_S/(10.**logg*1.e-2))

R1 = R(m1,logg1)
R3 = R(m3,logg3)

print "R1 = ", R1/R_S, " R_S"
print "R3 = ", R3/R_S, " R_S"

m1_ = m1 - 0.16
m3_ = m3 - 0.23
logg1_ = logg1 + 0.01
logg3_ = logg3 + 0.03

R1_ = R(m1_,logg1_)
R3_ = R(m3_,logg3_)

print "sigma_R1 = ", (R1_-R1)/R_S, " R_S"
print "sigma_R3 = ", (R3_-R3)/R_S, " R_S"

m1_ = m1 + 0.18
m3_ = m3 + 0.27
logg1_ = logg1 - 0.01
logg3_ = logg3 - 0.03

R1_ = R(m1_,logg1_)
R3_ = R(m3_,logg3_)

print "sigma_R1 = ", (R1_-R1)/R_S, " R_S"
print "sigma_R3 = ", (R3_-R3)/R_S, " R_S"

