#!/usr/bin/gnuplot

T1 = 15850.			# K
T1min = 15450.			# K
T1max = 16250.			# K

R1 = 6.10
R1min = R1-0.1
R1max = R1+0.1

logT1 = log10(T1)
logT1min = log10(T1min)
logT1max = log10(T1max)

########################################################################

set term x11

set xl "log [{/Helvetica-Oblique T}_{eff}]_{K}"
set yl "{/Helvetica-Oblique R} / {/Helvetica-Oblique R}_{Sun}" offset +1,0

x1=4.4
x2=3.8
y1=2.0
y2=8.0

set xr [:] reverse
#set xr [x1:x2]
#set yr [y1:y2]
set key at graph 1.0, graph 0.95 spacing 1.2

tmp=0.05
set label " {/Helvetica-Oblique T}_1 " at logT1min, graph tmp left  front
tmp=0.07
set label "  log {/Helvetica-Oblique R}_1  " at graph 1.0, first R1min-tmp right front

ps=0.33
set style line 1 lt 1 lw 1 ps ps
set style line 2 lt 2 lw 1 ps ps
set style line 3 lt 1 lw 7 ps ps
set style line 4 lt 2 lw 2 ps ps
set style line 5 lt 9 lw 1
set style line 6 lt 7 lw 0.5
set style line 7 lt 9 lw 0.25

set lmargin 6.9
set rmargin 1.5
set bmargin 3.1
set tmargin 0.5

set grid noxtics noytics front
load "styles.plt"

p \
  "<./PreMS.awk    LOGS/history.data"    u 35:(10.**$38) not  w l ls 2,\
  "<./PostZAMS.awk LOGS/history.data"    u 35:(10.**$38) not  w l ls 1,\
  "<./PreMS.awk    LOGS/history.data"    u 35:(10.**$38) not  w l ls 2,\
  "<./PostZAMS.awk LOGS/history.data"    u 35:(10.**$38) not  w l ls 1,\
  "<./PostZAMS.awk LOGS/history.data"    u 35:(10.**$38) not  w l ls 1,\
  "<awk '(NR>=7)' LOGS/history.data_815" u 35:(10.**$38) not w p ls 3,\
  "<awk '(NR>=7)' LOGS/history.data_815" u 35:(10.**$38):("  Sun  ") not w labels right font "Helvetica,14"

pa -1

set term post eps enh color solid rounded "Helvetica" 18
set out "R_Teff.eps"
set size 0.9,0.9
rep

q
  "box.dat" u (logT1min + (logT1max-logT1min)*$1):(y1+(y2-y1)*$2) not w l           ls 10,\
  "box.dat" u (x1+(x2-x1)*$1):(R1min + (R1max-R1min)*$2) not w l           ls 10,\
  "box.dat" u (logT1min + (logT1max-logT1min)*$1):(R1min + (R1max-R1min)*$2) not w l ls 10,\

  "<./time.awk 5.600e7 0.0050e7 primary_M005.60_Z0.02/LOGS/history.data" u 35:39 not  w p ls 3,\
  "<./time.awk 4.373e7 0.0004e7 primary_M006.70_Z0.02/LOGS/history.data" u 35:39 not  w p ls 3
  "<echo 1 1" u (logT1):(R1) w p pt 1 lt 7,\

  "<awk '(NR>=7)'                                   primar_Z0.04_M25.0/LOGS/star.log"   u 36:40 not                                                                                                          w l ls 1,\

