#!/usr/bin/gnuplot

T1 = 15850.			# K
T1min = 15450.			# K
T1max = 16250.			# K

Mbol1 = -3.14
Mbol1min = -2.63
Mbol1max = -3.64

logT1 = log10(T1)
logT1min = log10(T1min)
logT1max = log10(T1max)

########################################################################

set term x11

set xl "log [{/Helvetica-Oblique T}_{eff}]_{K}"
set yl "{/Helvetica-Oblique M}_{bol} [mag]"

x1=4.4
x2=3.8
y1=-1.0
y2=-5.0
set xr [:] reverse
set yr [:] reverse
set xr [x1:x2]
set yr [y1:y2]
set mytics 2
set nokey

load "styles.plt"

set lmargin 6.0
set rmargin 2.0
set bmargin 3.3
set tmargin 0.5

# casy pro H shell a He shell burning byly zjistene z burn.log (nenulovy sloupec 2, resp. 10)

L0 = 3.055e28	# W
L_S = 3.846e26	# W
Mbol(L) = -2.5*log10((10.**L)*L_S/L0)

p \
  "box.dat" u (logT1min + (logT1max-logT1min)*$1):(y1+(y2-y1)*$2) not w l           ls 10,\
  "box.dat" u (x1+(x2-x1)*$1):(Mbol1min + (Mbol1max-Mbol1min)*$2) not w l           ls 10,\
  "box.dat" u (logT1min + (logT1max-logT1min)*$1):(Mbol1min + (Mbol1max-Mbol1min)*$2) not w l ls 10,\
  "<./Hshellburn.awk LOGS/history.data"            u 35:(Mbol($37)) not w l ls 6,\
  "<./Heshellburn.awk LOGS/history.data"           u 35:(Mbol($37)) not w l ls 7,\
  "<./PostZAMS.awk LOGS/history.data"              u 35:(Mbol($37)) t "{/Helvetica-Oblique M} = 1 {/Helvetica-Oblique M}_S, {/Helvetica-Oblique Z} = 0.02  (MesaStar)"  w l ls 1,\
  "<./PreMS.awk LOGS/history.data"                 u 35:(Mbol($37)) not w l ls 2,\
  "<./Heburn.awk LOGS/history.data"                u 35:(Mbol($37)) not w l ls 5,\
  "<./Hburn.awk LOGS/history.data"                 u 35:(Mbol($37)) not w l ls 4,\
  "<awk '(NR>=7)' LOGS/history.data_815"           u 35:(Mbol($37)) not w p ls 3,\
  "<awk '(NR>=7)' LOGS/history.data_815"           u 35:(Mbol($37)):("  Sun  ") not w labels right font "Helvetica,14"
pa -1

set term post eps enh color solid "Helvetica" 18
set out "Mbol_Teff.eps"
set size 0.9,0.9
rep

q
  logL(x, 0) not ls 10,\
  logL(x, 1) not ls 10,\
  logL(x, 2) not ls 10,\
  logL(x, 3) not ls 10,\

  logL(x, log10(1.5)) not ls 10,\
#                                       1                                        2                                        3                                        4                                        5                                        6                                        7                                        8                                        9                                       10                                       11                                       12                                       13                                       14                                       15                                       16                                       17                                       18                                       19                                       20                                       21                                       22                                       23                                       24                                       25                                       26                                       27                                       28                                       29                                       30                                       31                                       32                                       33                                       34                                       35                                       36                                       37                                       38                                       39                                       40                                       41                                       42                                       43                                       44                                       45                                       46                                       47                                       48                                       49                                       50                                       51                                       52                                       53                                       54                                       55                                       56                                       57                                       58                                       59                                       60 
#                            model_number                                 star_age                                star_mass                                   log_dt                               log_xmstar                             log_abs_mdot                                num_zones                           mass_conv_core                             conv_mx1_top                             conv_mx1_bot                             conv_mx2_top                             conv_mx2_bot                                  mx1_top                                  mx1_bot                                  mx2_top                                  mx2_bot                               epsnuc_M_1                               epsnuc_M_2                               epsnuc_M_3                               epsnuc_M_4                               epsnuc_M_5                               epsnuc_M_6                               epsnuc_M_7                               epsnuc_M_8                             he_core_mass                              c_core_mass                              o_core_mass                             si_core_mass                             fe_core_mass                   neutron_rich_core_mass                                   log_LH                                  log_LHe                                   log_LZ                                 log_Lnuc                                 log_Teff                               luminosity                                    log_L                                    log_R                                    log_g                                  gravity                             log_center_T                           log_center_Rho                             log_center_P                                center_mu                                center_ye                              center_abar                                center_h1                               center_he4                               center_c12                               center_o16                              surface_c12                              surface_o16                            total_mass_h1                           total_mass_he4                                       pp                                      cno                                 tri_alfa                        v_div_csound_surf                              num_retries                              num_backups 
#                                     474                  4.5290004265054356E+005                  9.9999255341586979E-001                  3.8410260259179205E+000                  3.3298675216537745E+001                 -1.1601243622940418E+001                                      688                  9.9999255040290258E-001                  9.9999999670149997E-001                  7.8130770408968431E-008                  0.0000000000000000E+000                  0.0000000000000000E+000                  9.9999999670149997E-001                  7.8130770408968431E-008                  0.0000000000000000E+000                  0.0000000000000000E+000                 -2.0000000000000000E+001                 -2.0000000000000000E+001                 -2.0000000000000000E+001                 -2.0000000000000000E+001                 -2.0000000000000000E+001                 -2.0000000000000000E+001                 -2.0000000000000000E+001                 -2.0000000000000000E+001                  0.0000000000000000E+000                  0.0000000000000000E+000                  0.0000000000000000E+000                  0.0000000000000000E+000                  0.0000000000000000E+000                  0.0000000000000000E+000                 -7.0734284432776082E+000                 -9.8999999999999986E+001                 -9.8999999999999986E+001                 -7.0734284432776091E+000                  3.6561134944128222E+000                  3.4172211153066452E+000                  5.3367308124261226E-001                  4.7786838824828703E-001                  3.4821493428941133E+000                  3.0349346420801071E+003                  6.4143703874607310E+000                 -4.8443368376517659E-001                  1.4056671089845366E+001                  6.1713312066884340E-001                  8.5323485982977421E-001                  1.2884047185856646E+000                  7.0645999995463793E-001                  2.7397084091004398E-001                  3.3624535686842772E-003                  9.1451563423543443E-003                  3.3595886589123792E-003                  9.1373643989905041E-003                  7.0645473924149649E-001                  2.7396880076275615E-001                 -7.0734284432776100E+000                 -2.1542411272493787E+001                 -9.8999999999999986E+001                 -5.1929622100879053E-009                                        0                                        0 

  "HRD_1MS_FINE3.dat"                              u 35:(Mbol($37)) not w p ls 3


  "<awk '{ print NR-1, $0; }' LOGS/history.data_SELECTED" u 37:39:(sprintf("  %d  ", $1)) w labels right font "Helvetica,14" tc lt 9
  "<./EZ2.awk profiles.log basics.log"                  u 5:3 not w p ls 3

#  "Harmanec_1970_fig0001.dat" u 1:2 t "{/Helvetica-Oblique M} = 4 {/Helvetica-Oblique M}_S, {/Helvetica-Oblique Z} = 0.044 (Harmanec 1970)" w l ls 2,\
#  "<./EZ2.awk profiles.log basics.log" u 5:3:(sprintf("%.0f", $1/1e6)) not  w labels ls 3,\
#  "table12"                   u 5:4 t "M = 4 M_S, Z = 0.02  (Schaller et al. 1992)"    w lp,\
#  "<awk '($11>0)' basics.log" u 5:3 not w l ls 6,\


